import { Inter } from '@next/font/google'
import styles from '../styles/Home.module.css'
const inter = Inter({ subsets: ['latin'] })


const Button = ({ title, subtitle, link }: { title: string, subtitle: string, link: string }) => {

    return (
        <>
            <a href={link} className={styles.card} target="_blank" rel="noopener noreferrer">
                <h2 className={inter.className}>
                    {title} <span>-&gt;</span>
                </h2>
                <p className={inter.className}>
                    {subtitle}
                </p>
            </a>
        </>
    )
}

export default Button