// Next.js API route support: https://nextjs.org/docs/api-routes/introduction
import type { NextApiRequest, NextApiResponse } from 'next'
import getRefs from '../../utils/getRefs'
import Noco from '../../utils/noco'
import { NocoCharacterResponse } from '../../utils/types'

export default async function handler(req: NextApiRequest, res: NextApiResponse<any>) {
    // getRefs
    let { list: OCList }: NocoCharacterResponse = await Noco.dbViewRow.list("noco", "gallery", "characters", "characters", { "where": "" })
    let refs = await getRefs(OCList)

    res.status(200).json(refs)
}
